## sphinx-a4doc 1.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = A4Doc
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O) -E

## sphinx-a4doc 1.2.1

=== debian/changelog ===
sphinx-a4doc (1.2.1-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Dec 2020 00:39:18 -0500

sphinx-a4doc (1.2.1-1) unstable; urgency=low

  * Initial release; Closes: #976365

 -- Sandro Tosi <morph@debian.org>  Fri, 04 Dec 2020 04:17:57 +0000

=== debian/control ===
Source: sphinx-a4doc
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-antlr4 <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-yaml,
Standards-Version: 4.5.1
Homepage: https://github.com/AmatanHead/sphinx-a4doc
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-a4doc.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-a4doc

Package: python3-sphinx-a4doc
Architecture: all
Depends: python3-antlr4,
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Sphinx domain and autodoc for Antlr4 grammars
 A4Doc is a sphinx plugin for documenting Antlr4 grammars.
 .
 It’s primary target is to provide some overview for DSL users
 (generated documentation may not include some nuances essential
 for compiler developers).
 .
 A4Doc's features are:
 .
 * a new domain with grammar and rule directives called ``a4``;
 * directives for rendering railroad diagrams;
 * directive for extracting documentation comments and rendering docs and
   diagrams from `.g4` source files.

=== debian/watch ===
# try also https://pypi.debian.net/sphinx-a4doc/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinx-a4doc/sphinx-a4doc-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinx-a4doc 1.3.0

=== debian/changelog ===
sphinx-a4doc (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notice
  * update upstream git repo address
  * debian/patches/PR13.patch
    - drop patch, merged upstream

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Oct 2021 00:02:41 -0400

sphinx-a4doc (1.2.4-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track releases on github instead of pypi
  * debian/control
    - update for new upstream code
  * debian/patches/dont-use-setuptools-scm.patch
    - dont use setuptools scm
  * debian/patches/PR13.patch
    - fix sphinx writer import

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Oct 2021 21:49:54 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-sphinx,
                python3-yaml,
 Standards-Version: 4.5.1
-Homepage: https://github.com/AmatanHead/sphinx-a4doc
+Homepage: https://github.com/taminomara/sphinx-a4doc
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-a4doc.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-a4doc

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-a4doc
%:
	dh $@ --with python3 --buildsystem=pybuild

## sphinx-a4doc 1.6.0

=== debian/changelog ===
sphinx-a4doc (1.6.0-4) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-antlr4. Closes: #1116914.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 10:40:00 +0200

sphinx-a4doc (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Regenerate lexer/parser with ANTLR 4.9.2 (closes: #1082311).

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Nov 2024 12:45:29 +0000

sphinx-a4doc (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * build the docs, important as there are no tests!
  Set upstream metadata fields: Repository.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 17:47:53 +0200

sphinx-a4doc (1.6.0-1) unstable; urgency=medium

  * Add my ID to Uploaders
    Closes: #1064946
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Add upstream/metadata
  * Build-Depends: pybuild-plugin-pyproject

 -- Andreas Tille <tille@debian.org>  Wed, 27 Mar 2024 15:45:02 +0100

sphinx-a4doc (1.3.0-2) unstable; urgency=medium

  * orphan while waiting for RM

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 17:00:18 -0500

=== debian/control ===
Source: sphinx-a4doc
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-antlr4,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
               python3-doc <!nodoc>,
               sphinx-doc <!nodoc>,
               python3-yaml
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-a4doc
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-a4doc.git
Homepage: https://github.com/taminomara/sphinx-a4doc

Package: python3-sphinx-a4doc
Architecture: all
Depends: python3-antlr4,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-doc, sphinx-doc
Description: Sphinx domain and autodoc for Antlr4 grammars
 A4Doc is a sphinx plugin for documenting Antlr4 grammars.
 .
 It’s primary target is to provide some overview for DSL users
 (generated documentation may not include some nuances essential
 for compiler developers).
 .
 A4Doc's features are:
 .
  * a new domain with grammar and rule directives called ``a4``;
  * directives for rendering railroad diagrams;
  * directive for extracting documentation comments and rendering docs and
    diagrams from `.g4` source files.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinx-a4doc

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html docs/source build/html
